Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.pluginmanager
Class PluginList

    java.lang.Object
      madkit.pluginmanager.PluginList

    public class PluginList

extends java.lang.Object

Version:
  $Revision: 1.6 $
Author:
  Sebastian Rodriguez - sebastian.rodriguez@utbm.fr

Constructor Summary
`PluginList(java.io.File tmpDir, java.io.File pluginZip, java.io.File installed)`

Method Summary
`void` | `clean()`
`static java.io.File` | `extractFile(java.util.zip.ZipFile zip, java.util.zip.ZipEntry e, java.io.File tmpDir)` Extracts the File represented by the ZipEntry e.
`java.util.Enumeration` | `getCategories()`
`java.util.Collection` | `getFilesInstalledPlugin(java.lang.String name)`
`madkit.pluginmanager.PluginInformation` | `getPlugin(java.lang.String plugin)`
`java.util.Enumeration` | `getPluginNames()`
`java.util.Collection` | `getPluginsByCategory(java.lang.String category)`
`void` | `init()`
`boolean` | `installedConstains(java.lang.String name)`
`void` | `installPlugin(java.lang.String string, Version version, java.util.Vector instFiles)`
`boolean` | `isAvailable(java.lang.String pluginName, Version version)`
`boolean` | `isInstalled(java.lang.String pluginName, Version version)`
`static java.io.File` | `mergePlugins(java.lang.String server, java.io.File newPlugins, java.io.File zipToMerge)`
`java.util.Vector` | `packagesOfFile(java.lang.String string)`
`void` | `removePlugin(java.lang.String name)`
`int` | `status(java.lang.String plugin)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PluginList

    public PluginList(java.io.File tmpDir,
                      java.io.File pluginZip,
                      java.io.File installed)
               throws java.util.zip.ZipException,
                      java.io.IOException

Throws:
  `java.util.zip.ZipException`
  `java.io.IOException`

Method Detail

### init

    public void init()
              throws SAXException,
                     java.io.IOException,
                     javax.xml.parsers.ParserConfigurationException,
                     javax.xml.parsers.FactoryConfigurationError

  Throws:
    `SAXException`
    `java.io.IOException`
    `javax.xml.parsers.ParserConfigurationException`
    `javax.xml.parsers.FactoryConfigurationError`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getPlugin

    public madkit.pluginmanager.PluginInformation getPlugin(java.lang.String plugin)

### extractFile

    public static java.io.File extractFile(java.util.zip.ZipFile zip,
                                           java.util.zip.ZipEntry e,
                                           java.io.File tmpDir)

  Extracts the File represented by the ZipEntry e.

  Parameters:
    `zip` - ZipFile containing the wanted file
    `e` - ZipEntry representing the File
    `tmpDir` - Temp Directory to use in the extration
  Returns:
    the File or null if the file does not exist

### clean

    public void clean()

### getPluginsByCategory

    public java.util.Collection getPluginsByCategory(java.lang.String category)

### status

    public int status(java.lang.String plugin)

### getPluginNames

    public java.util.Enumeration getPluginNames()

### getCategories

    public java.util.Enumeration getCategories()

### isInstalled

    public boolean isInstalled(java.lang.String pluginName,
                               Version version)

  Parameters:
    `pluginName` -
  Returns:

### mergePlugins

    public static java.io.File mergePlugins(java.lang.String server,
                                            java.io.File newPlugins,
                                            java.io.File zipToMerge)
                                     throws SAXException,
                                            java.io.IOException,
                                            javax.xml.parsers.ParserConfigurationException,
                                            javax.xml.parsers.FactoryConfigurationError

  Throws:
    `SAXException`
    `java.io.IOException`
    `javax.xml.parsers.ParserConfigurationException`
    `javax.xml.parsers.FactoryConfigurationError`

### isAvailable

    public boolean isAvailable(java.lang.String pluginName,
                               Version version)

  Parameters:
    `string` -
    `version` -
  Returns:

### installedConstains

    public boolean installedConstains(java.lang.String name)

  Parameters:
    `name` -
  Returns:

### getFilesInstalledPlugin

    public java.util.Collection getFilesInstalledPlugin(java.lang.String name)

  Parameters:
    `name` -

### removePlugin

    public void removePlugin(java.lang.String name)

  Parameters:
    `name` -

### packagesOfFile

    public java.util.Vector packagesOfFile(java.lang.String string)

  Parameters:
    `string` -
  Returns:

### installPlugin

    public void installPlugin(java.lang.String string,
                              Version version,
                              java.util.Vector instFiles)

  Parameters:
    `string` -
    `instFiles` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.